<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
		<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
		<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
		<cv:cvMessages bundle="localization.users"></cv:cvMessages>
		<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
		<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
		<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
		<cv:cvMessages bundle="localization.sharepoint"></cv:cvMessages>
		<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
		<cv:cvEnum name="App.SharePointVersion"></cv:cvEnum>
		<cv:cvEnum name="App.SharepointBackupSetType"></cv:cvEnum>
</script>
<!-- <h1 class="page-title">
	<span data-ng-bind="agentDetails.idaEntity.appName"	data-ng-show="serverMessage.message==''"></span>
	<span data-ng-bind="serverMessage.message"></span>
</h1> -->
<div class="row">
	<div class="col-md-12">
		<span class="server-message {{serverMessage.type}}" data-ng-bind="serverMessage.message"></span>
	</div>
</div>
<div class="row margin-top-30">
	<div class="col-md-6">
		<!-- Begin Member servers display and edit -->
		<cv-tile-component data-ac-id="sharepointDetails-sp_pseudo_member_servers-sharepoint" data-title='<cv:msg key="sp.pseudo.member.servers" bundle="sharepoint"/>' data-loader="spPseudoClientInfo" data-ng-show="isClientFarmPseudoClient">
			<div>
				<ul class="list-style-secondary">
					<li class="group"><span class="pageDetailColumn"><cv:msg key="header.sharepoint.version" bundle="sharepoint" /></span>
						<span class="pageDetailColumn" data-ng-bind="sharePointVersionText"></span>
					</li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="sp.pseudo.primary.member.servers" bundle="sharepoint" /></span>
						<span class="pageDetailColumn" data-ng-bind="spPseudoClientInfo.sharepointPseudoClientProperties.primaryMemberServer.client.clientName"></span>
					</li>
					<li class="group">
						<span class="pageDetailColumn"><cv:msg key="sp.pseudo.secondary.member.servers" bundle="sharepoint"/></span>
						<span data-ng-if="spPseudoClientInfo.sharepointPseudoClientProperties.spMemberServers.memberServers.length > 0" class="pageDetailColumn" data-uib-tooltip-html="secMemberServerString" tooltip-placement="bottom">
							<span class="reduced-size">{{secMemberServerString}}</span>
							<span data-ng-if="spPseudoClientInfo.sharepointPseudoClientProperties.spMemberServers.memberServers.length>=3">({{spPseudoClientInfo.sharepointPseudoClientProperties.spMemberServers.memberServers.length}})</span>
						</span>
					</li>
				</ul>
				<div class="page-details-box-links">
  				 	<a href="" data-ng-click="changeOffice365MemberServers()"><cv:msg key="action.change.member.servers" bundle="sharepoint" /></a>
 				</div>
			</div>
		</cv-tile-component>
		<!-- End Member servers display and edit-->
		<cv-security-component entity-type='entityType' generic-entity = 'genericEntity' associations='formattedSecurityAssociations' associations-loaded="associationsLoaded">
		</cv-security-component>
				<!-- Begin SharePoint SQL impersonation -->
		<cv-tile-component data-ac-id="sharepointDetails-label_sp_sql_impersonation-sharepoint" data-title='<cv:msg key="label.sp.sql.impersonation" bundle="sharepoint"/>' data-loader="agentDetails">
			<div>
				<ul class="list-style-secondary">
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.sp.sql.user.account" bundle="sharepoint" /></span>
						<span class="pageDetailColumn" data-ng-bind="agentDetails.sharePointProp.sqlUserName"></span></li>
				</ul>
				<div class="page-details-box-links">
  				 	<a href="" data-ng-click="changeOffice365SpSQLAccount()"><cv:msg key="action.change.account" bundle="sharepoint" /></a>
 				</div>
			</div>
		</cv-tile-component>
		<!-- End SharePoint SQL  impersonation-->
	</div>
	<div class="col-md-6">
		<!-- Begin activity control -->
		<cv-activity-control-component data-ac-params="acParams">
		</cv-activity-control-component>
		<!-- End Activity control -->
    <cv-analytics-plan-component  data-ng-show="isAnalyticsEnabled && !isClientFarmPseudoClient" datasource-type="sharePointDataSourceType" client-guid="CSGUID" client-id="genericEntity.clientId" enable-data-analysis="enableDataAnalysis" ></cv-analytics-plan-component>
	<cv-client-plan-component data-ng-if="agentDetails.idaEntity.clientId" client-id="agentDetails.idaEntity.clientId" plan-id="agentDetails.planId"
			plan-entity="agentDetails.planEntity" app-id="agentDetails.idaEntity.applicationId"></cv-client-plan-component>
   </div>
</div>
