<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
		<cv:cvMessages bundle="localization.sharepoint"></cv:cvMessages>
		<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
		<cv:cvEnum name="App.SharePointVersion"></cv:cvEnum>
		<cv:cvEnum name="App.ClientType"></cv:cvEnum>
</script>
	<form class="form-horizontal bootstrap-wrapper"
		  id="createSubclientForm" name="createSubclientForm"
		  novalidate
		  autocomplete="off"
    >
    <div class="modal-header">
		<h1><cv:msg key="action.subclientCreation" bundle="clients" /></h1>
	</div>
    
    <div class="modal-body">
		<p
			class="{{spSCctrl.serverMessage.type}} serverMessage"
			data-ng-bind="spSCctrl.serverMessage.message"
		></p>
    
		<div class="form-group row">
			<label id="subclientName" for="subclientName" class="col-xs-12 col-lg-4" ><cv:msg key="label.SubclientName" bundle="clients" /></label>
				<div class="col-xs-12 col-lg-8" ><input type="text" name="subclientName" data-ng-class="text-right" id="subclientName" autofocus
				data-ng-model="spSCctrl.subclientEntity.subclientName" data-ng-change="spSCctrl.validationStatusFlags.subclientNameRequired = false;">
				<span class="help-block" data-ng-show="spSCctrl.validationStatusFlags.subclientNameRequired"><cv:msg key="error.subclientName" bundle="clients" /></span></div>
		</div>
		
		<div class="form-group margin-left-0" >
						<cv-entity-plan-policy-select data-ng-if="spSCctrl.planPolicyModel" data-cv-model="spSCctrl.planPolicyModel"
		                            data-cv-show-plan="spSCctrl.showPlan" 
		                            data-cv-plan-sub-type="'Server'" 
		                   data-cv-wrapper-class="'form-group row'"
						data-cv-label-class="'col-xs-12 col-lg-4'"
						data-cv-select-class="'col-xs-12 col-lg-8'">
		            	</cv-entity-plan-policy-select>
	     </div>

		<div class="form-group" data-ng-if="!spSCctrl.isOffice365">
			<label  class="col-xs-12 col-lg-4" for="sqlClient">
			<cv:msg key="label.spsqlClient" bundle="sharepoint" />
			</label>
		   <div class="col-xs-12 col-lg-8">
				 <select name="sqlClient"  
                 data-ng-model="spSCctrl.subclientInfo.sharepointsubclientprop.ContentDatabaseSqlClient"
		 data-ng-options="ce as ce.displayName for ce in spSCctrl.sqlClientList | orderBy:'displayName' track by ce.clientId">
			<option value=""><cv:msg key="label.selectSqlServer" bundle="sharepoint"/></option>
		 </select>
			</div>

		</div>
		
		
		
	  <div class="form-group margin-top-10 margin-left-0" data-ng-if="!spSCctrl.isOffice365">

				<cv-sp-content-browse-component
					data-subclient-entity="spSCctrl.subclientEntity"
					data-on-after-receiving-selected-sp-content=spSCctrl.spContentFromCVSPBrowseDirective>
				</cv-sp-content-browse-component>

	</div>
	
	   <div class="form-group margin-top-10 margin-left-0" data-ng-if="spSCctrl.isOffice365">
				<cv-sp-office365-content-browse-component
					data-subclient-entity="spSCctrl.subclientEntity"
					data-on-after-receiving-selected-sp-content=spSCctrl.spContentFromCVSPBrowseDirective>
				</cv-sp-office365-content-browse-component>
    	</div>
			

	</div>

		<div class="button-container" >
			<button id="sharePointCreateSubclient_button_#3028" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="spSCctrl.closeModal()"><cv:msg key="Cancel" bundle="messages" /></button> 
			<button id="sharePointCreateSubclient_button_#1150" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-click="spSCctrl.createSPSubclient()"><cv:msg key="Add" bundle="messages" /></button> 
		</div>
	</form>

