<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.search"></cv:cvMessages>
	<cv:cvMessages bundle="localization.sqlserver"></cv:cvMessages>
	<cv:cvMessages bundle="localization.sharepoint"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1><cv:msg key="label.sp.sql.impersonation" bundle="sharepoint"/></h1>
</div>
<div class="setup-content schedule bootstrap-wrapper">
	<div class="{{spEditSqlAccCtrl.spEditSqlAccCtrlMessage.type}} serverMessage">{{spEditSqlAccCtrl.spEditSqlAccCtrlMessage.message}}</div>
	<form name="editSPSqlAccountForm" data-cv-submit="spEditSqlAccCtrl.saveInfo()" novalidate autocomplete="off" class="form-horizontal">
		<div class="panel">
			<div class="panel-body">
				<div class="form-group">
					<label id="sqlUserAccountLbl" for="sqlUserAccount" class="col-xs-12 col-md-5 col-lg-5"><cv:msg key="label.sp.sql.user.account" bundle="sharepoint" /></label>
					<div class="col-xs-12 col-md-7 col-lg-7">
						<input type="text" name="sqlUserAccount" id="sqlUserAccount" data-ng-class="text-right" autofocus data-ng-model="spEditSqlAccCtrl.spSqlAccountNameForbackup.accountName" required/>
						<span class="help-block" data-ng-show="cv.editSPSqlAccountForm.needsAttention(editSPSqlAccountForm.sqlUserAccount)"><cv:msg key="error.sp.sql.user.account" bundle="sharepoint" /></span>
					</div>
				</div>
				<div class="form-group">
					<label id="sqlUserPasswordLbl" for="sqlUserPassword" class="col-xs-12 col-md-5 col-lg-5"><cv:msg key="label.password" bundle="users"/></label>
					<div class="col-xs-12 col-md-7 col-lg-7">
						<input type="password" name="sqlUserPassword" id="sqlUserPassword" data-ng-class="text-right" data-ng-model="spEditSqlAccCtrl.spSqlAccountNameForbackup.sqlUserPassword" required/>
						<span class="help-block" data-ng-show="cv.editSPSqlAccountForm.needsAttention(editSPSqlAccountForm.sqlUserPassword)" ><cv:msg key="error.password" bundle="users"/></span>
					</div>
				</div>
				<div class="form-group">
					<label id="sqlUserConfirmPasswordLbl" for="sqlUserConfirmPassword" class="col-xs-12 col-md-5 col-lg-5"><cv:msg key="label.confirmPassword" bundle="users"/></label>
					<div class="col-xs-12 col-md-7 col-lg-7">
						<input type="password" name="sqlUserConfirmPassword" id="sqlUserConfirmPassword" data-ng-class="text-right"
							data-ng-model="spEditSqlAccCtrl.spSqlAccountNameForbackup.sqlUserConfirmPassword"
							data-cv-equals="{{spEditSqlAccCtrl.spSqlAccountNameForbackup.sqlUserPassword}}" required/>
						<span class="help-block" data-ng-show="editSPSqlAccountForm.sqlUserConfirmPassword.$error.required && cv.editSPSqlAccountForm.needsAttention(editSPSqlAccountForm.sqlUserConfirmPassword)">
							<cv:msg key="error.confirmPassword" bundle="users" />
						</span>
						<span class="help-block" data-ng-show="!editSPSqlAccountForm.sqlUserConfirmPassword.$error.required && editSPSqlAccountForm.sqlUserConfirmPassword.$error.cvEquals && cv.editSPSqlAccountForm.needsAttention(editSPSqlAccountForm.sqlUserConfirmPassword)">
							<cv:msg key="error.mismatchedPassword" bundle="users" />
						</span>
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<button id="sharepointEditSQLAccountForBackup_button_#2006" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="spEditSqlAccCtrl.cancel()"><cv:msg key="action.cancel" bundle="profiles"/></button> 
			<button id="sharepointEditSQLAccountForBackup_button_#5454" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="Save" bundle="messages"/></button> 
		</div>
	</form>
</div>